<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- level.v01.xsl contient tous les templates d'affichage des informations d'une balise level de CDM-fr v2 -->
<!-- ces Templates sont utilises dans Program et Course -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:cdmfr="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<xsl:variable name="vBoolEstUneMention">
	<!-- Cette variable locale permet de déterminer si l'on est sur une mention ou pas (pour conditionner l'affichage) -->
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,2)='ME'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUneSpecialite">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,2)='SP'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUnProgramme">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,2)='PR'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUnComposantProgramme">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,2)='CP'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUneAnnee">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,4)='CPAN'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUnSemestre">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureProgramID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,4)='CPSE'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUnEnseignement">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureEnseignementID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,2)='EN'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUneUE">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureEnseignementID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,4)='ENUE'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="vBoolEstUneEC">
		<xsl:variable name="vProgramID">
			<xsl:call-template name="tNatureEnseignementID"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($vProgramID,16,4)='ENEC'"><xsl:value-of select="true()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<!-- Acces à l'identifiant du Programme ou de l'Enseignement -->
	
	<xsl:template name="tNatureProgramID">
		<xsl:apply-templates select="key('objet',$idP)/programID"/>
	</xsl:template>
	
	<xsl:template name="tNatureEnseignementID">
		<xsl:value-of select="key('objet',$idP)/courseID"/>
	</xsl:template>

</xsl:stylesheet>